import React from 'react';
import ReactDOM from 'react-dom';
import Transfer from '..';
import { Button } from '../..';
const dataSource = (() => {
    const dataSource = [];
    for (let i = 0; i < 10; i++) {
        dataSource.push({
            label: i % 3 === 0
                ? `content${i}contentcontentcontentcontentcontent`
                : `content${i}`,
            value: `${i}`,
            disabled: i % 4 === 0,
        });
    }
    return dataSource;
})();
class Demo extends React.Component {
    constructor(props) {
        super(props);
        this.handleChange = this.handleChange.bind(this);
    }
    handleChange(value, data, extra) {
        console.log(value, data, extra);
    }
    render() {
        return (React.createElement(Transfer, { defaultValue: ['3'], dataSource: dataSource, listStyle: { width: '200px', height: '192px' }, defaultLeftChecked: ['1'], onChange: this.handleChange, titles: [
                React.createElement(Button, { key: "left", type: "primary" }, "Source"),
                'Target',
            ], operations: ['>>', '<<'] }));
    }
}
ReactDOM.render(React.createElement(Demo, null), document.getElementById('transfer-demo-5'));
